Redmine - Feature #1878

Inherit parts of parent project by subprojects
2008-09-09 17:08 - Marcin Kasperski

Status: New Start date: 2008-09-09
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Projects Estimated time: 0.00 hour

Target version:

Resolution:

Description
It would be nice if | could - while creating a new project - inherit things from another project.

Most important thing to inherit - users and permissions. But categories and modules could be also considered.

GUI? Just extra field on new project screen.

Related issues:

Related to Redmine - Feature #5605: Subprojects should (optionally) inherit M... Closed 2010-05-27
Related to Redmine - Feature #6794: Global and inheritable Categories New 2010-11-02
Related to Redmine - Feature #5358: Share Issues Categories for sub-projects New 2010-04-20
Has duplicate Redmine - Defect #9449: Projects users' roles cascade on sub-pr... Closed 2011-10-21
Has duplicate Redmine - Feature #3900: Inheritance for Sub projects Closed 2009-09-22
Has duplicate Redmine - Feature #3470: Projects should inherit documents and ... Closed 2009-06-10
History

#1 - 2008-09-09 17:11 - Marcin Kasperski
Motivation: case when some complicated multicomponent project is split into parts to make managing and following easier (say - because each part
have separate versioning/releasing schedule), but nevertheless they are handled by the same people.

Alternative (but maybe overcomplicated): make it possible to configure the project so it dynamically delegates such settings.

#2 - 2011-10-26 21:06 - Mischa The Evil

- Subject changed from Inherit from another project (especially users, but maybe other things) to Inherit parts of parent project to subprojects

Modded the subject to serve as a placeholder issue to collect all the things that are requested to be inherited by sub-projects. Current requests:

¢ Users/Members{originally-from-this-issue-and #5605-fimplemented-in-2.3.0})
e Categories (from this issue, #5358 and #6794)

e Modules (from this issue)

Settings (from #3900)

Project-memberroles{from-#9449{this-seems-implemented-through-#5605;-2.3.0)
Documents (from #3470)

Files (from #3470)

Edited by Mischa The Evil on 280213-2347; Updated related issues and implemented features

#3 - 2011-10-26 21:06 - Mischa The Evil

- Category set to Projects

#4 - 2011-10-26 21:07 - Mischa The Evil

- Subject changed from Inherit parts of parent project to subprojects to Inherit parts of parent project by subprojects

#5 - 2013-07-25 07:59 - Matthew Houston

| don't believe marking http://www.redmine.org/issues/3470 as the dupe is correct. If anything this would be the dupe. In our install it would be
beneficial to inherit at any point, not just during creation. However putting in a mechanism for inheriting would invalidate the need to do so during
creation, as it could be done at any point.

| like the idea of having a section in the project setup that lists the parent / child documents and simply ticking that would allow access through that

2025-07-01 1/2



https://www.redmine.org/issues/5605
https://www.redmine.org/versions/60
https://www.redmine.org/issues/5358
https://www.redmine.org/issues/6794
https://www.redmine.org/issues/3900
https://www.redmine.org/issues/9449
https://www.redmine.org/issues/5605
https://www.redmine.org/versions/60
https://www.redmine.org/issues/3470
https://www.redmine.org/issues/3470
http://www.redmine.org/issues/3470

particular project?
#6 - 2013-07-30 06:13 - Matthew Houston
Just looking back on my response | might have been a bit hasty.

| am specifically looking at the queries at the moment but would it not be possible to treat queries the same as custom fields, in the sens that they are
select-able at the project screen?

You could even include logic such as 'Global' queries (which is already handled) then have a filter down effect where only queries in the parent project
are available (automatically enabled or not) in the sub-projects.

This would keep the simplicity of having a check-box style interface (same as custom fields) without having it become too cluttered from queries in
every single project being replicated.

The last update before mine was 2 years ago so not sure if this is still being actioned?
